> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update agent

> Update an existing agent's configuration, voice settings, or metadata.



## OpenAPI

````yaml PATCH /agents/{agentId}
openapi: 3.0.3
info:
  title: Arbol API
  description: >-
    The Arbol API enables you to programmatically manage voice AI agents,
    contacts, conversations, campaigns, and more. Build powerful voice AI
    integrations with a developer-first REST API.
  version: 1.0.0
  contact:
    name: Arbol Support
    url: https://getarbol.com/support
  license:
    name: Proprietary
servers:
  - url: https://api.getarbol.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: Manage voice AI agents
  - name: Contacts
    description: Manage contacts and their details
  - name: Conversations
    description: Manage voice conversations and calls
  - name: Campaigns
    description: Manage batch outbound call campaigns
  - name: Phone Numbers
    description: Manage provisioned phone numbers
  - name: Properties
    description: Manage custom property definitions
  - name: Tools
    description: Manage agent tools and integrations
  - name: Documents
    description: Manage knowledge base documents
  - name: Organization
    description: Manage organization settings
paths:
  /agents/{agentId}:
    patch:
      tags:
        - Agents
      summary: Update agent
      description: Update an existing agent's configuration, voice settings, or metadata.
      operationId: updateAgent
      parameters:
        - $ref: '#/components/parameters/AgentIdParam'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgentInput'
      responses:
        '200':
          description: Updated agent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDetail'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    AgentIdParam:
      name: agentId
      in: path
      required: true
      schema:
        type: string
      description: Agent ID (agt_ prefix)
  schemas:
    UpdateAgentInput:
      type: object
      properties:
        name:
          type: string
        primaryLanguage:
          type: string
        systemPrompt:
          type: string
        greeting:
          type: string
        model:
          type: string
        status:
          $ref: '#/components/schemas/AgentStatus'
        voiceConfigs:
          type: array
          items:
            type: object
        metadata:
          type: object
    AgentDetail:
      allOf:
        - $ref: '#/components/schemas/Agent'
        - type: object
          properties:
            supportedLanguages:
              type: array
              items:
                type: string
            voiceConfigs:
              type: array
              items:
                $ref: '#/components/schemas/VoiceConfig'
    AgentStatus:
      type: string
      enum:
        - ACTIVE
        - PAUSED
        - INACTIVE
    Agent:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryLanguage:
          type: string
        status:
          $ref: '#/components/schemas/AgentStatus'
        systemPrompt:
          type: string
        greeting:
          type: string
        model:
          type: string
        metadata:
          type: object
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    VoiceConfig:
      type: object
      properties:
        id:
          type: string
        voiceId:
          type: string
        language:
          type: string
        label:
          type: string
        settings:
          type: object
        isDefault:
          type: boolean
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
        requestId:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your API key from the Arbol dashboard. Go to Settings > API Keys to
        generate one.

````